Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
Class GroovyPageTagWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.taglib.GroovyPageTagWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class GroovyPageTagWriter

extends PrintWriter

A temporary writer used by GSP to write to a StringWriter and later retrieve the value. It also converts nulls into blank strings.

Since:
  0.5

  Created: Apr 19, 2007 Time: 5:49:46 PM
Author:
  Graeme Rocher

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`GroovyPageTagWriter(StringWriter writer)`

Method Summary
`StringWriter` | `getStringWriter()`
`String` | `getValue()`
`void` | `print(Object o)`
`void` | `print(String s)`
`void` | `println(Object o)`
`void` | `println(String s)`
`void` | `write(String s)`

Methods inherited from class java.io.PrintWriter
`append, append, append, append, append, append, append, append, append, checkError, close, flush, format, format, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, setError, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageTagWriter

    public GroovyPageTagWriter(StringWriter writer)

Method Detail

### getStringWriter

    public StringWriter getStringWriter()

### print

    public void print(String s)

  Overrides:
    `print` in class `PrintWriter`

### print

    public void print(Object o)

  Overrides:
    `print` in class `PrintWriter`

### write

    public void write(String s)

  Overrides:
    `write` in class `PrintWriter`

### println

    public void println(String s)

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(Object o)

  Overrides:
    `println` in class `PrintWriter`

### getValue

    public String getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project